summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-20 15:59:04 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-04-21 00:29:29 +0100
commit46d0cc3dc88307d69a7884c0e5c79e0c8d5e4dc7 (patch)
treea5ec6b373a47da71cd2e474aac453ce022579179
parent211ae3b4dfe5e55b8fa18cfb9c71fa37f06c9748 (diff)
downloadpoky-46d0cc3dc88307d69a7884c0e5c79e0c8d5e4dc7.tar.gz
Rename poky-init-build-env to oe-init-build-env
(From OE-Core rev: fa6176219b741eed346b21a3d923e9abc9b5442a) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/classes/sanity.bbclass2
-rwxr-xr-xoe-init-build-env (renamed from poky-init-build-env)6
-rwxr-xr-xscripts/oe-buildenv-internal (renamed from scripts/poky-env-internal)0
-rwxr-xr-xscripts/poky-setup-builddir2
-rwxr-xr-xscripts/poky-setup-rpmrepo2
5 files changed, 6 insertions, 6 deletions
diff --git a/meta/classes/sanity.bbclass b/meta/classes/sanity.bbclass
index 500a1b2f69..b5170a55c7 100644
--- a/meta/classes/sanity.bbclass
+++ b/meta/classes/sanity.bbclass
@@ -46,7 +46,7 @@ def check_pseudo_wrapper():
46 # Check if bitbake wrapper is being used 46 # Check if bitbake wrapper is being used
47 pseudo_build = os.environ.get( 'PSEUDO_BUILD' ) 47 pseudo_build = os.environ.get( 'PSEUDO_BUILD' )
48 if not pseudo_build: 48 if not pseudo_build:
49 bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the poky-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.") 49 bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the oe-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.")
50 50
51 if (not pseudo_build) or pseudo_build == '2': 51 if (not pseudo_build) or pseudo_build == '2':
52 # pseudo ought to be working, let's see if it is... 52 # pseudo ought to be working, let's see if it is...
diff --git a/poky-init-build-env b/oe-init-build-env
index 3c8aa5341b..87929d119d 100755
--- a/poky-init-build-env
+++ b/oe-init-build-env
@@ -25,8 +25,8 @@
25# being sourced. To workaround the shell limitation use "set arg1" prior 25# being sourced. To workaround the shell limitation use "set arg1" prior
26# to sourcing this script. 26# to sourcing this script.
27# 27#
28if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./poky-init-build-env" ]; then 28if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./oe-init-build-env" ]; then
29 echo "Error: This script needs to be sourced. Please run as '. ./poky-init-build-env'" 29 echo "Error: This script needs to be sourced. Please run as '. ./oe-init-build-env'"
30else 30else
31 if [ -n "$BASH_SOURCE" ]; then 31 if [ -n "$BASH_SOURCE" ]; then
32 OEROOT="`dirname $BASH_SOURCE`" 32 OEROOT="`dirname $BASH_SOURCE`"
@@ -35,7 +35,7 @@ else
35 fi 35 fi
36 OEROOT=`readlink -f "$OEROOT"` 36 OEROOT=`readlink -f "$OEROOT"`
37 export OEROOT 37 export OEROOT
38 . $OEROOT/scripts/poky-env-internal 38 . $OEROOT/scripts/oe-buildenv-internal
39 $OEROOT/scripts/poky-setup-builddir 39 $OEROOT/scripts/poky-setup-builddir
40 unset OEROOT 40 unset OEROOT
41 unset BBPATH 41 unset BBPATH
diff --git a/scripts/poky-env-internal b/scripts/oe-buildenv-internal
index 03b078f299..03b078f299 100755
--- a/scripts/poky-env-internal
+++ b/scripts/oe-buildenv-internal
diff --git a/scripts/poky-setup-builddir b/scripts/poky-setup-builddir
index 64240e1e5d..d6e5353621 100755
--- a/scripts/poky-setup-builddir
+++ b/scripts/poky-setup-builddir
@@ -31,7 +31,7 @@ if ! (test -d "$BUILDDIR"); then
31fi 31fi
32 32
33if ! (test -w "$BUILDDIR"); then 33if ! (test -w "$BUILDDIR"); then
34 echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . poky-init-build-env ~/my-build" 34 echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . oe-init-build-env ~/my-build"
35 exit 1 35 exit 1
36fi 36fi
37 37
diff --git a/scripts/poky-setup-rpmrepo b/scripts/poky-setup-rpmrepo
index 42a9b6aedf..0e84ca9ee5 100755
--- a/scripts/poky-setup-rpmrepo
+++ b/scripts/poky-setup-rpmrepo
@@ -34,7 +34,7 @@ setup_tmpdir() {
34 type -P bitbake &>/dev/null || { 34 type -P bitbake &>/dev/null || {
35 echo "In order for this script to dynamically infer paths"; 35 echo "In order for this script to dynamically infer paths";
36 echo "to kernels or filesystem images, you either need"; 36 echo "to kernels or filesystem images, you either need";
37 echo "bitbake in your PATH or to source poky-init-build-env"; 37 echo "bitbake in your PATH or to source oe-init-build-env";
38 echo "before running this script" >&2; 38 echo "before running this script" >&2;
39 exit 1; } 39 exit 1; }
40 40